#----------------------------------------------------------------------
# 		In, out, and dependencies		
#----------------------------------------------------------------------
-injars C:\MyDocuments\Android\Keystore\N7AndroidCommons_dbg.jar
-outjars C:\MyDocuments\Android\Keystore\N7AndroidCommons_dbg_obf.jar
-libraryjars C:\Android\android-sdk-windows\platforms\android-4\android.jar

#----------------------------------------------------------------------
# 		Optimization
#----------------------------------------------------------------------
-dontoptimize
#-optimizationpasses 4
# -optimizations !code/simplification/arithmetic

# Keep all constructors from optimization
#-keepclassmembers class * {
#	<init>(...);
#}

#----------------------------------------------------------------------
# 		Common library options
#----------------------------------------------------------------------
-keepattributes Exceptions,InnerClasses,Signature,Deprecated, SourceFile,LineNumberTable,*Annotation*,EnclosingMethod

-keep public class * {
    public protected *;
}

-keepclassmembers public class * {
	public * ;
}

-keepclassmembernames class * {
    java.lang.Class class$(java.lang.String);
    java.lang.Class class$(java.lang.String, boolean);
}

-keepclassmembers class * implements java.io.Serializable {
    static final long serialVersionUID;
    private static final java.io.ObjectStreamField[] serialPersistentFields;
    private void writeObject(java.io.ObjectOutputStream);
    private void readObject(java.io.ObjectInputStream);
    java.lang.Object writeReplace();
    java.lang.Object readResolve();
}

-keepclassmembers class * implements com.google.common.base.FinalizableReference {
	void finalizeReferent();
}

-keepclassmembers class com.google.common.base.internal.Finalizer {
	public static java.lang.ref.ReferenceQueue startFinalizer(java.lang.Class, java.lang.Object);
}

#----------------------------------------------------------------------
# 		Android application
#----------------------------------------------------------------------
-dontpreverify
-dontusemixedcaseclassnames
-dontskipnonpubliclibraryclasses
-allowaccessmodification
-keepattributes *Annotation*

-keep public class * extends android.app.Activity
-keep public class * extends android.app.Application
-keep public class * extends android.app.Service
-keep public class * extends android.content.BroadcastReceiver
-keep public class * extends android.content.ContentProvider
-keep public class * extends android.preference.Preference
#-keep public class * extends android.app.backup.BackupAgentHelper
#-keep public class com.android.vending.licensing.ILicensingService

-keepclasseswithmembernames class * {
    native <methods>;
}

#keep all classes that might be used in XML layouts
-keep public class * extends android.view.View {
    public <init>(android.content.Context);
    public <init>(android.content.Context, android.util.AttributeSet);
    public <init>(android.content.Context, android.util.AttributeSet, int);
    public void set*(...);
}

-keepclasseswithmembernames class * {
    public <init>(android.content.Context, android.util.AttributeSet);
}

-keepclasseswithmembernames class * {
    public <init>(android.content.Context, android.util.AttributeSet, int);
}

-keepclassmembers enum * {
    public static **[] values();
    public static ** valueOf(java.lang.String);
}

-keep class * implements android.os.Parcelable {
  public static final android.os.Parcelable$Creator *;
}

-keepclassmembers class **.R$* {
    public static <fields>;
}

# print debug info
-dump proguard\class_files.txt 
-printseeds proguard\seeds.txt 
-printusage proguard\unused.txt 
-printmapping proguard\mapping.txt 